HTMLOListElement (Java SE 10 & JDK 10 )
Keywords: org.w3c.dom.html.HTMLOListElement interface

Module jdk.xml.dom
Package org.w3c.dom.html

## Interface HTMLOListElement

- All Superinterfaces:
    `Element`, `HTMLElement`, `Node`

      public interface HTMLOListElement
      extends HTMLElement

  Ordered list. See the OL element definition in HTML 4.0.

  See also the Document Object Model (DOM) Level 2 Specification.

  Since:
    1.4, DOM Level 2

- - ### Field Summary

    - ### Fields declared in interface org.w3c.dom.Node

      `ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `getCompact()` | Reduce spacing between list items.
    `int` | `getStart()` | Starting sequence number.
    `String` | `getType()` | Numbering style.
    `void` | `setCompact​(boolean compact)` |
    `void` | `setStart​(int start)` |
    `void` | `setType​(String type)` |

    - ### Methods declared in interface org.w3c.dom.Element

      `getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

    - ### Methods declared in interface org.w3c.dom.html.HTMLElement

      `getClassName, getDir, getId, getLang, getTitle`

    - ### Methods declared in interface org.w3c.dom.Node

      `appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

- - ### Method Detail

    - #### getCompact

          boolean getCompact()

      Reduce spacing between list items. See the compact attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

    - #### setCompact

          void setCompact​(boolean compact)

    - #### getStart

          int getStart()

      Starting sequence number. See the start attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

    - #### setStart

          void setStart​(int start)

    - #### getType

          String getType()

      Numbering style. See the type attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

    - #### setType

          void setType​(String type)